function B = feblock_defor_nonlinear_nice_Blmat3(self,Ndersp,c,Rm)
    nfn= size(Ndersp,1);
    B = zeros(6,nfn*3); %initialize
    if (isempty(Rm)) % there is no global-to-local transformation
        for i= 1:nfn
            k=3*(i-1);
            B(1,k+1)= Ndersp(i,1);
            B(2,k+2)= Ndersp(i,2);
            B(3,k+3)= Ndersp(i,3) ;
            B(4,k+1)= Ndersp(i,2); B(4,k+2)= Ndersp(i,1);
            B(5,k+1)= Ndersp(i,3); B(5,k+3)= Ndersp(i,1);
            B(6,k+2)= Ndersp(i,3); B(6,k+3)= Ndersp(i,2);
        end
    else % global-to-local transformation is requested
        for i= 1:nfn
            B(:,3*(i-1)+1:3*i)...
                = [ Ndersp(i,1) 0           0  ; ...
                0           Ndersp(i,2) 0  ; ...
                0           0           Ndersp(i,3) ; ...
                Ndersp(i,2) Ndersp(i,1) 0  ; ...
                Ndersp(i,3) 0           Ndersp(i,1) ; ...
                0           Ndersp(i,3) Ndersp(i,2) ]*Rm';
        end
    end
end



