font='Times';
Legends = {};
Data = {};
Style = {};



Data{end+1}=[
  1./(2:11)
 0.3899    0.1587    0.0480    0.0524    0.0564    0.0620    0.0598    0.0587    0.0565    0.0547
];Style{end+1}='m^-';Legends{end+1} ='NICE-T4';

Data{end+1}=[
  1./(2:11)
 0.5774    0.4714    0.2792    0.3955    0.3487    0.3916    0.3706    0.3902    0.3781    0.3873
];Style{end+1}='md-';Legends{end+1} ='NICE-H8';


Data{end+1}=[
  1./(2:8)  
    0.2377    0.2661    0.2721    0.2730    0.2727    0.2721    0.2715
];Style{end+1}='mh-';Legends{end+1} ='NICE-H27';



for j=1:length(Data)
    data=Data{j};
    h=data(1,:); utip=data(2,:);
    loglog(h,utip,Style{j},'lineWIDTH', 3); hold on;
%     loglog(h,abs(utip-uzex)/uzex,Style{j},'lineWIDTH', 3); hold on;
end

set(gca,'XLim', [4e-2, 1]);
set(gca,'YLim', [1e-4, 1e-0]);
xlabel ('log(1/number of elements per side)')
ylabel ('log(inf-sup \lambda)')
legend(Legends,'Location','Southwest')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set(gca,'FontSize',12);
set(gca,'FontName',font)
l=get(gca,'xlabel');
set (l,'FontSize',14);
set(l,'FontName',font)
l=get(gca,'ylabel');
set (l,'FontSize',14);
set(l,'FontName',font)
hold on; grid on; figure (gcf);
saveas(gcf,[mfilename '.eps'],'eps2c');