for n= [2, 13, 3, 24, 48, 35]
    for nel=[20, 50, 250];
        for nf=[8, 2, 3, 4, 14]
            tol= 1e5*eps*n*nel;
            conns=zeros(nel, nf);
            for i=1:size(conns,1)
                A= [];
                while length(A)<nf
                    A=[A,randperm(n),randperm(n)];
                end
                conns(i,:)=A(1:nf);
            end
            
            Ke = cell(size(conns,1),1);
            eqnums = cell(size(conns,1),1);
            for i=1:size(conns,1)
                eqnums{i} =conns(i,:);
                A=rand(size(conns,2));
                A=A+A'; % symmetrize
                Ke{i} =A;
            end
            
            % Assemble the reference matrix
            disp(['Reference ' num2str(n) 'x' num2str(n) ' ' 'sparse matrix']);
            Sref=sparse(n,n);
            for i=1:size(conns,1)
                r=eqnums{i};
                for j=1:length(r)
                    c=eqnums{i};
                    for k=1:length(c)
                        B=Sref(r(j),c(k));
                        Sref(r(j),c(k))=B+Ke{i}(j,k);
                    end
                end
            end
%             spy (Sref);
            
            C=dense_sysmat;
            disp([class(C) ' ' num2str(n) 'x' num2str(n) ' ' ]);
            ems  = elematset(struct('mat',{Ke}, 'eqnums',{eqnums}));
            K = start (C, n);
            K = assemble (K, ems);
            S=get(K,'mat');
            
            if (norm(sum(S-Sref))<tol)
                disp([class(C) ' passed' ]);
            else
                error([class(C) ' not matching' ]);
            end
            
            
            C=sparse_sysmat;
            disp([class(C) ' ' num2str(n) 'x' num2str(n) ' ' ]);
            ems  = elematset(struct('mat',{Ke}, 'eqnums',{eqnums}));
            K = start (C, n);
            K = assemble (K, ems);
            S=get(K,'mat');
            
            if (norm(sum(S-Sref))<tol)
                disp([class(C) ' passed' ]);
            else
                error([class(C) ' not matching' ]);
            end
            
            
            C=sparse_chol_sysmat;
            disp([class(C) ' ' num2str(n) 'x' num2str(n) ' ' ]);
            ems  = elematset(struct('mat',{Ke}, 'eqnums',{eqnums}));
            K = start (C, n);
            K = assemble (K, ems);
            S=get(K,'mat');
            
            if (norm(sum(S-Sref))<tol)
                disp([class(C) ' passed' ]);
            else
                error([class(C) ' not matching' ]);
            end
            
            
            C=sparse_ldlt_sysmat;
            disp([class(C) ' ' num2str(n) 'x' num2str(n) ' ' ]);
            ems  = elematset(struct('mat',{Ke}, 'eqnums',{eqnums}));
            K = start (C, n);
            K = assemble (K, ems);
            S=get(K,'mat');
            
            if (norm(sum(S-Sref))<tol)
                disp([class(C) ' passed' ]);
            else
                error([class(C) ' not matching' ]);
            end
        end
    end
end