function B = feblock_defor_ss_divmat2(self, N,Ndersp,c,Rm)
    nfn= size(Ndersp,1);
    dim =size(Ndersp,2);
    B = zeros(1,nfn*dim);
    if (isempty(Rm))% there is no global-to-local transformation
        for i= 1:nfn
            B(:,2*(i-1)+1:2*i)= [Ndersp(i,1)    Ndersp(i,2) ];
        end
    else% global-to-local transformation is requested
        RmT=Rm(:,1:2)';
        for i= 1:nfn
            B(:,2*(i-1)+1:2*i)= [Ndersp(i,1)    Ndersp(i,2) ] *RmT ;
        end
    end
end
