% Free-free beam vibration.
%Driverfor the various element types
function result_List=FF_beam_driver
    refinements=1:3;
    ns=[4,1,2];
%     ns=[10,1,2];
        ns=[12,1,2];
    
    
    result_List=[];
    
    clear eltyd; eix=1;
    %
                eltyd(eix).legend ='H8-SRI';
                eltyd(eix).mf =@H8_block;
                eltyd(eix).ns=ns*2;
                eltyd(eix).blf =@feblock_defor_ss_sri;
                eltyd(eix).integration_rule=gauss_rule (3,[1,2]);
                eltyd(eix).styl='md-';
                eix=eix+1;
        
                eltyd(eix).legend ='THEX-6-bd';
                eltyd(eix).mf =@H8_block;
                eltyd(eix).ns=ns*2;
                eltyd(eix).blf =@feblock_defor_ss_thex_6_bd;
                eltyd(eix).integration_rule=gauss_rule (3,2);
                eltyd(eix).styl='bv-';
                eix=eix+1;
    
                eltyd(eix).legend ='THEX-6-wed';
                eltyd(eix).mf =@H8_block;
                eltyd(eix).ns=ns*2;
                eltyd(eix).blf =@feblock_defor_ss_thex_6_wed;
                eltyd(eix).integration_rule=gauss_rule (3,2);
                eltyd(eix).styl='b^-';
                eix=eix+1;
    
                eltyd(eix).legend ='THEX-5-f';
                eltyd(eix).mf =@H8_block;
                eltyd(eix).ns=ns*2;
                eltyd(eix).blf =@feblock_defor_ss_thex_5_f;
                eltyd(eix).integration_rule=gauss_rule (3,2);
                eltyd(eix).styl='bp-';
                eix=eix+1;
    
    %     eltyd(eix).legend ='H8';
    %     eltyd(eix).mf =@H8_block;
    %     eltyd(eix).ns=ns*2;
    %     eltyd(eix).blf =@feblock_defor_ss;
    %     eltyd(eix).integration_rule=gauss_rule (3,2);
    %     eltyd(eix).styl='mx--';
    %     eix=eix+1;
    %
    %     eltyd(eix).legend ='H20R';
    %     eltyd(eix).mf =@H20_block;
    %     eltyd(eix).ns=ns*1;
    %     eltyd(eix).blf =@feblock_defor_ss;
    %     eltyd(eix).integration_rule=gauss_rule (3,2);
    %     eltyd(eix).styl='ro-';
    %     eix=eix+1;
    %
    %     eltyd(eix).legend ='H20';
    %     eltyd(eix).mf =@H20_block;
    %     eltyd(eix).ns=ns*1;
    %     eltyd(eix).blf =@feblock_defor_ss;
    %     eltyd(eix).integration_rule=gauss_rule (3,3);
    %     eltyd(eix).styl='b*-';
    %     eix=eix+1;
    %
    %
    %
    %         eltyd(eix).legend ='H27';
    %         eltyd(eix).mf =@H27_block;
    %         eltyd(eix).ns=ns*1;
    %         eltyd(eix).blf =@feblock_defor_ss;
    %         eltyd(eix).integration_rule=gauss_rule (3,3);
    %         eltyd(eix).styl='rh--';
    %         eix=eix+1;
    %
%         eltyd(eix).legend ='T10';
%         eltyd(eix).mf =@T10_block;
%         eltyd(eix).ns=ns*1;
%         eltyd(eix).blf =@feblock_defor_ss;
%         eltyd(eix).integration_rule=tet_rule (4);
%         eltyd(eix).styl='gd-';
%         eix=eix+1;
    

    %
    %     eltyd(eix).legend ='T4';
    %     eltyd(eix).mf =@T4_block;
    %     eltyd(eix).ns=ns*2;
    %     eltyd(eix).blf =@feblock_defor_ss;
    %     eltyd(eix).integration_rule=tet_rule (1);
    %     eltyd(eix).styl='k^:';
    %     eix=eix+1;
    %
    %
        for eix=1: length(eltyd)
            result=FF_beam_do (eltyd(eix),refinements);
            result_List= [result_List, result];
        end
    
            clear eltyd; eix=1;
            eltyd(eix).legend ='NICE-T4-phys';
            eltyd(eix).mf =@T4_block;
            eltyd(eix).ns=ns*2;
            eltyd(eix).blf =@feblock_defor_ss_nice_iso;
            eltyd(eix).integration_rule=simplex_nq_rule (3);
            eltyd(eix).stabfact=0.07;
            eltyd(eix).styl='cp-';
            eix=eix+1;
    
            eltyd(eix).legend ='NICE-H8-phys';
            eltyd(eix).mf =@H8_block;
            eltyd(eix).ns=ns*2;
            eltyd(eix).blf =@feblock_defor_ss_nice_iso;
            eltyd(eix).integration_rule=tensprod_nq_rule (3);
            eltyd(eix).stabfact=0.015;
            eltyd(eix).styl='ch-';
            eix=eix+1;
    
    
                for eix=1: length(eltyd)
                    result=FF_beam_nice_do (eltyd(eix),refinements);
                    result_List= [result_List, result];
                end
    
        plot_FF_beam(result_List)