function cookstrain_compare
    graphics=  ~true;
    doeig=~true;
    aspect=1;
    smult=0;
    stabfact=0.0;
    
    lambda =  400942;
    G= 80.1938;
    nu =1/2*lambda/(G+lambda)
    E=G*(3*lambda+2*G)/(G+lambda);

%     Meshf=@t3blocko; ne=[4,8,16,32];
%     Convertf=[];
%     integration_rule =simplex_nq_rule(struct('dim',2,'order',1,'overlay', true));
%     Edge_integration_rule =simplex_nq_rule(struct('dim',1,'order',1));
%     febf =@feblock_defor_ss_nice;
%     Style ='m^-'; Label='NICE-T3';
    %
    Meshf=@t3block2d; ne=[4,8,16,32];
    Convertf=[];
    integration_rule =simplex_nq_rule(struct('dim',2,'order',1));
    Edge_integration_rule =gauss_rule(1, 1);
    febf =@feblock_defor_ss_nice;
    Style ='m^-'; Label='NICE-T3';
%     %
    Meshf=@block2d; ne=[2,4,8,16,32];
    Convertf=[];
    integration_rule =tensprod_nq_rule(struct('dim',2,'order',1));
    Edge_integration_rule =tensprod_nq_rule(struct('dim',1,'order',1));
    febf =@feblock_defor_ss_nice;
    Style ='md-'; Label='NICE-Q4';

% Meshf=@block2d; ne=[1,2,4,8,16];
% Convertf=@Q4_to_Q9;
% integration_rule =tensprod_nq_rule(struct('dim',2,'order',2));
% Edge_integration_rule =tensprod_nq_rule(struct('dim',1,'order',2));
% febf =@feblock_defor_ss_nice;
% Style ='ms-'; Label='NICE-Q9';
    %
%     Meshf=@t3block2d; ne=[2,4,8,16];
%     Convertf=[];
%     integration_rule =simplex_nq_rule(struct('dim',2,'order',1));
%     Edge_integration_rule =gauss_rule(1, 2);
%     febf =@feblock_defor_ss_nice;
%     Style ='rh-'; Label='NICE-T3';

%         Meshf=@t3block2d; ne=[2,4,8,16, 24, 30];
%         Convertf=@T3_to_T6;
%         integration_rule =simplex_nq_rule(struct('dim',2,'order',3));
%         Edge_integration_rule =gauss_rule(1, 2);
%         febf =@feblock_defor_ss_nice;
%         Style ='rh-'; Label='NICE-T6';
    %

%         Meshf=@t3block2d; ne=[2,4,8,16];
%     Convertf=@T3_to_T7;
%         integration_rule =simplex_nq_rule(struct('dim',2,'order',3));
%         febf =@feblock_defor_ss_nice;
%         Style ='ch-'; Label='NICE-T7';

%     Meshf=@t3block2d; ne=[2,4,8,16];
%     Convertf=@T3_to_T6;
%     integration_rule =tri_rule(6);
%     febf =@feblock_defor_ss;
%     Style ='kx-'; Label='T6';

%     Meshf=@ablockT6; ne=[2,4,8,16];
%     Convertf=[];
%     integration_rule =tri_rule(3);
%     febf =@feblock_defor_ss;
%     Style ='kx-'; Label='T6';

%         Meshf=@block2d; ne=[4,8,16,32, 64, 128];
%     Convertf=[];
%         integration_rule = gauss_rule(2, [1 2]);
%         febf =@feblock_defor_ss_sri;
%         Style ='gs-'; Label='Q4-SRI';

%         Meshf=@block2d; ne=[4,8,16,32];
%     Convertf=[];
%         integration_rule = gauss_rule(2, 2);
%         febf =@feblock_defor_ss;
%         Style ='gs-'; Label='Q4';



    % OPT element (Felippa)
    %     loglog(44./[2, 4, 8, 16, 32, 64],(convutip-[20.56, 22.45, 23.43, 23.80, 23.91, 23.95])/convutip,'ko:','lineWIDTH', 2); hold on; figure (gcf); pause (1)

    % Mesh
    h=[];
    utip=[];
    magn=100;
    %     for n=[4,8,16,32]
    for n=ne
        % for n=[2,4,8,16,32,64,128]
        %             for n=[2,4,8,16,24,32,64,128]
        %         for n=[4]
        options =struct('other_dimension', 1.0);
        [fens,gcells] = Meshf(48,44, n, aspect*n, options);
        dxy=min(48,44)/n/aspect/100;
        sxy=smult*dxy;
        rand('state',[0.3085,0.4953,0.0143,0.3137,0.7750,0.8827,0.6275,0.5996,0.3557,0.8033,0.4425,0.3749,0.3086,0.6245,0.0244,0.0309,0.1962,0.2670,0.8672,0.8259,0.3590,0.6446,0.3018,0.6694,0.5783,0.3251,0.0024,0.9082,0.4464,0.0331,0.9344,0.0261,0,0.0000,0.0000]');
        for i=1:length(fens)
            xy=get(fens(i),'xyz');
            if (xy(1)>dxy) & (xy(2)>dxy) & (xy(1)<48-dxy) & (xy(2)<44-dxy)
                xy=[xy(1)+(2*rand(1)-1)/2*sxy,xy(2)+(2*rand(1)-1)/2*sxy];
            end
            fens(i)=set(fens(i),'xyz',xy);
        end
        for i=1:length(fens)
            xy=get(fens(i),'xyz');
            y=xy(2) + (xy(1)/48)*(44 -xy(2)/44*28);
            fens(i)=set(fens(i),'xyz',[xy(1) y]);
        end
        if (~isempty( Convertf ))
            [fens,gcells] = Convertf(fens,gcells, options);
        end
        %             mesh{1}=fens;
        %             mesh{2}=gcells;
        %             drawmesh(mesh); view(2); pause (1)
        propm = property_linel_iso(struct('E',E,'nu', nu));
        mater = mater_defor_ss_linel_biax (struct ('property',propm,'reduction','strain'));
        feb = febf(struct ('mater',mater, 'gcells',gcells, ...
            'integration_rule',integration_rule,...
            'stabfact',stabfact));

        % Geometry
        geom = field(struct ('name',['geom'], 'dim', 2, 'fens',fens));
        % Define the displacement field
        u   = clone(geom,'u');
        u   = u*0; % zero outfunction five
        % Apply EBC's
        ebc_fenids=fenode_select (fens,struct('box',[0,0,0, 44],'inflate',44/10000));
        ebc_prescribed=ones(1,length (ebc_fenids));
        ebc_comp=[];
        ebc_val=ebc_fenids*0;
        u   = set_ebc(u, ebc_fenids, ebc_prescribed, ebc_comp, ebc_val);
        u   = apply_ebc (u);
        u = apply_ebc (u);
        % Number equations
        u   = numbereqns (u);
        % Assemble the system matrix
        K = start (sparse_sysmat, get(u, 'neqns'));
        K = assemble (K, stiffness(feb, geom, u));
        % Load
        ol =gcell_select([],gcells,struct ('label', 'overlay'));
        bdry_gcells = mesh_bdry(gcells(setdiff((1:length(gcells)),ol)), struct('other_dimension', 1.0));
        icl = gcell_select(fens, bdry_gcells, struct('box', [48,48,44,60],'inflate',48/10000));
        efeb = feblock_defor_ss(struct ('mater',mater,'gcells',bdry_gcells(icl),...
            'integration_rule',Edge_integration_rule));
        fi=force_intensity(struct('magn',[0;magn/(60-44)]));
        F = start (sysvec, get(u, 'neqns'));
        F = assemble (F, distrib_loads(efeb, geom, u, fi, 2));
        % Solve
        %         sum(get(F,'vec'))
        x = get(K,'mat')\get(F,'vec');
        u = scatter_sysvec(u, x);
        nl=fenode_select (fens,struct ('box',[48,48,52,52],'inflate',48/10000));
        theutip=gather(u,nl,'values');
        disp (['displacement =' num2str(theutip(2), 15)])
        h=[h 44/n];
        utip =[utip theutip(2)];

        % Plot
        if graphics
            gv=graphic_viewer;
            gv=reset (gv,struct ([]));
            scale=1;
            cmap = gray;
            cmap=jet;
            fld = field_from_integration_points(feb, geom, u, [], 'vol_strain', 1);
            fld = field_from_integration_points(feb, geom, u, [], 'Cauchy', 1);
            fld = field_from_integration_points(feb, geom, u, [], 'pressure', 1);
            nvals=get(fld,'values');%min(nvals),max(nvals)
            %             nvalsrange=[-0.05, -0.02];%[min(nvals),max(nvals)]
            nvalsrange=[min(nvals),max(nvals)];
            dcm=data_colormap(struct ('range',nvalsrange, 'colormap',cmap));
            colorfield=field(struct ('name', ['colorfield'], 'data',map_data(dcm, nvals)));
            draw(feb,gv, struct ('x', geom, 'u', scale*u,'colorfield',colorfield,...
                'edgecolor','white','shrink',1.0));
            xlabel('X','FontName','Times')
            ylabel('Y','FontName','Times')
            set(gca,'FontSize',14);
            set(gca,'FontName','Times')
            % geom3d=combine (geom, 0*fld);
            % u3d=combine (u, 100000000*fld);
            % draw(feb,gv, struct ('x', geom3d, 'u', +scale*u3d,'colorfield',colorfield, 'shrink',1.0));
            colormap(cmap);
            cbh=colorbar;
            set(cbh,'FontSize',14);
            set(cbh,'FontName','Times')
            set(cbh,...
                'Position',[0.625 0.247 0.035 0.51],...
                'YLim',[0,1],...
                'YTick',[0,1],...
                'YTickLabel',{[num2str(nvalsrange(1))],[num2str(nvalsrange(2))]});%{[num2str((min(nvals)))],[num2str((max(nvals)))]}
            %             set(get(cbh,'XLabel'),'String','Volumetric strain');
            view (2)
            %         for i=1:length(fens)
            %             draw(fens(i),gv, struct ('x', geom, 'u', 0*u, 'facecolor','blue'));
            %         end
            if doeig
                pause(2)
                %% Solve the eigenvibration problem
                neigvs = get(u,'neqns');
                [modes,Omega]=eig(full(a));
                [b,ix]=sort(diag(Omega));

                %% Display the first few eigenvibration modes
                mscale=1;
                w=clone(u,'w'); % make a copy of u
                for i=1:neigvs
                    disp(['  Eigenvector ' num2str(i) ' eigenvalue ' num2str(Omega(ix(i),ix(i))) ]);
                    w = scatter_sysvec(w, modes(:,ix(i)));
                    wv = get(w,'values');
                    wmag = sqrt(wv(:,1).^2+wv(:,2).^2);
                    dcm=data_colormap(struct ('range',[min(wmag),max(wmag)], 'colormap',jet));
                    colorfield = field(struct ('name',['cf'], 'dim', 3, 'data',map_data(dcm, wmag)));
                    for scale=mscale*sin((0:1:42)/21*2*pi)
                        gv=reset (clear (gv),struct ('limits', [-1/40*48 41/40*48 -1/40*60 5/4*60]));
                        %         headlight(gv);
                        draw(feb,gv, struct ('x', geom, 'u', scale*w,'colorfield',colorfield));
                        title(['  Eigenvector ' num2str(i) ' eigenvalue ' num2str(Omega(ix(i),ix(i))) ]);
                        pause(0.01);
                    end
                    title(['  Next eigenvector: type any key' ]);
                    clf;
                    pause(2); % next eigenvector
                end
            end
        else
            plot(44./h,utip, Style,'lineWIDTH', 3);
            set(gca,'XScale','Log');
            font='Times';
            xlabel ('log(Number of elements)')
            ylabel ('Displacement')
            set(gca,'Position',[0.15 0.15 0.8 0.8]);
            set(gca,'FontSize',14);
            set(gca,'FontName',font)
            l=get(gca,'xlabel');
            set (l,'FontSize',18);
            set(l,'FontName',font)
            l=get(gca,'ylabel');
            set (l,'FontSize',18);
            set(l,'FontName',font)
            hold on; grid on; figure (gcf); pause (2)
        end
    end
    disp(Label);
    disp([44./h;utip]);
    %     [xestim, beta, residual] = richextrapol(utip(end-2:end),h(end-2:end))
end
