% Parameters:
E=4.32e8;
nu=0;
R=25;
L=2*R;
t= 0.25;
% t= 0.5;
ang=40/180*pi;
p=  90/t;
load=[0;0;-p];
uzex=-0.3024;
randshiftmult= 0.27;
randshiftmult= 0.;
% parshiftmult=0.2;
parshiftmult=0;
graphics = ~true;
scale=20;

mix = 1;
clear mesd
mesd(mix).ref=[ 2:8];
mesd(mix).nl=2;
mesd(mix).nt=3;
mix = mix+1;

eix=1;
clear eltyd

eltyd(eix).label ='NICE-T4';
eltyd(eix).mf =@t4block;
eltyd(eix).blf =@feblock_defor_ss_nicer;
eltyd(eix).integration_rule= simplex_nq_rule (3);
eltyd(eix).load_integration_rule=simplex_nq_rule (3);
eltyd(eix).styl='m^-';
eix=eix+1;

% eltyd(eix).label ='NICE-H8';
% eltyd(eix).mf =@block;
% eltyd(eix).blf =@feblock_defor_ss_nicer;
% eltyd(eix).integration_rule= tensprod_nq_rule (struct('dim',3,'order',1));
% eltyd(eix).load_integration_rule=tensprod_nq_rule (struct('dim',3,'order',1));
% eltyd(eix).styl='md-';
% eix=eix+1;
% 
% eltyd(eix).label ='HEXFI';
% eltyd(eix).mf =@block;
% eltyd(eix).blf =@feblock_defor_ss_hexfi;
% eltyd(eix).integration_rule=[];
% eltyd(eix).load_integration_rule=gauss_rule(3, 2);
% eltyd(eix).styl='rd-';
% eix=eix+1;

% eltyd(eix).label ='NICE-H8-9';
% eltyd(eix).mf =@block;
% eltyd(eix).blf =@feblock_defor_ss_nicerr;
% eltyd(eix).integration_rule= H8_9pt_nq_rule (struct('midptfrac', 0.9));
% eltyd(eix).load_integration_rule=tensprod_nq_rule (struct('dim',2,'order',1));
% eltyd(eix).styl='mp-';
% eix=eix+1;


% eltyd(eix).label ='T10';
% eltyd(eix).mf =@t4blockT10;
% eltyd(eix).blf =@feblock_defor_ss;
% eltyd(eix).integration_rule=tet_rule (4);
% eltyd(eix).load_integration_rule=tri_rule(3);
% eltyd(eix).styl='kv--';
% eix=eix+1;
% 
% eltyd(eix).label ='H27';
% eltyd(eix).mf =@blockH27;
% eltyd(eix).blf =@feblock_defor_ss;
% eltyd(eix).integration_rule=gauss_rule (3,3);
% eltyd(eix).load_integration_rule=gauss_rule(2, 2);
% eltyd(eix).styl='ks-';
% eix=eix+1;
% 
% eltyd(eix).label ='NICE-H27';
% eltyd(eix).mf =@blockH27;
% eltyd(eix).blf =@feblock_defor_ss_nicerr;
% eltyd(eix).integration_rule=tensprod_nq_rule (struct('dim',3,'order',2));
% eltyd(eix).load_integration_rule=tensprod_nq_rule (struct('dim',2,'order',2));
% eltyd(eix).styl='mh-';
% eix=eix+1;
% 
% eltyd(eix).label ='H20R';
% eltyd(eix).mf =@blockH20;
% eltyd(eix).blf =@feblock_defor_ss;
% eltyd(eix).integration_rule=gauss_rule (3,2);
% eltyd(eix).load_integration_rule=gauss_rule(3, 2);
% eltyd(eix).styl='ro-';
% eix=eix+1;
% % 
% 
% 
% eltyd(eix).label ='NICE-H20';
% eltyd(eix).mf =@blockH20;
% eltyd(eix).blf =@feblock_defor_ss_nicerr;
% eltyd(eix).integration_rule=tensprod_nq_rule (struct('dim',3,'order',2));
% eltyd(eix).load_integration_rule=tensprod_nq_rule (struct('dim',2,'order',2));
% eltyd(eix).styl='mo--';
% eix=eix+1;
% % 
% eltyd(eix).label ='H20';
% eltyd(eix).mf =@blockH20;
% eltyd(eix).blf =@feblock_defor_ss;
% eltyd(eix).integration_rule=gauss_rule (3,3);
% eltyd(eix).load_integration_rule=gauss_rule(3, 2);
% eltyd(eix).styl='k>--';
% eix=eix+1;


for eix = 1:length(eltyd)
rand('state',[0.3085,0.4953,0.0143,0.3137,0.7750,0.8827,0.6275,0.5996,0.3557,0.8033,0.4425,0.3749,0.3086,0.6245,0.0244,0.0309,0.1962,0.2670,0.8672,0.8259,0.3590,0.6446,0.3018,0.6694,0.5783,0.3251,0.0024,0.9082,0.4464,0.0331,0.9344,0.0261,0,0.0000,0.0000]');
ns=[];
        
    for mix = 1:length(mesd)
        uzs=[];
        neqns = [];

        for     ref=mesd(mix).ref;
            for     nl=mesd(mix).nl;
                for     nt=mesd(mix).nt;
                    %% Create the mesh and initialize the geometry
                    [fens,gcells]= feval (eltyd(eix).mf, ang, L/2,t,nl*ref,nl*ref,nt);
                    free_edge_fenids=fenode_select(fens,struct('box',[ang, ang, L/2 L/2 -100*R 100*R],'inflate',t/1000));
                    if randshiftmult~=0
                        fens = block_random_shift(fens, randshiftmult*[ang/(nl*ref)/3,R/(nl*ref)/3, 0],  struct('link', [0, 0, 1]));
                    end
                    if parshiftmult~=0
                        options.displacement=cell(3);
                        ax=parshiftmult*ang/(nl*ref);
                        options.displacement{1} =@(xyz)(ax*sin(2*pi*xyz(:,2)/(ang/(nl*ref))));
                        ay=parshiftmult*L/2/(nl*ref);
                        options.displacement{2} =@(xyz)(ay*sin(19*pi*xyz(:,1)/(L/2/(nl*ref))));
                        options.displacement{3} =@(xyz)(0*xyz(:,3));
                        fens = block_function_shift(fens, options);
%                         mesh{1}=fens;
%                         mesh{2}=gcells;
%                         drawmesh(mesh); view(3); pause%(1)
                    end
                    xy=get (fens,'xyz');
                    for i=1:length (fens)
                        a=xy(i,1); y=xy(i,2); r=R-t/2+xy(i,3);
                        xy(i,:)=[r*sin(a) y (r*cos(a)-R)];
                        %                         get(fens(i),'id'),get(fens(i),'xyz')
                    end
                    fens=set(fens,'xyz', xy);
                    %                     mesh{1}=fens;
%                     mesh{2}=gcells;
%                     drawmesh(mesh); view(3); pause%(1)
                    prop = property_linel_iso (struct('E',E,'nu',nu));
                    mater = mater_defor_ss_linel_triax (struct('property',prop));

                    feb = feval (eltyd(eix).blf, struct ('mater',mater, 'gcells',gcells, 'integration_rule',eltyd(eix).integration_rule));
                    geom = field(struct ('name',['geom'], 'dim', 3, 'fens',fens));

                    %% Define the displacement field, and zero it out
                    u   = 0*geom;

                    %% Apply the EBC''s
                    enl=fenode_select (fens,struct ('box',[0 100*R 0 0 -100*R 100*R],'inflate',0.01*t));
                    u = set_ebc(u, enl, enl*0+1, enl*0+1, enl*0);
                    u = set_ebc(u, enl, enl*0+1, enl*0+3, enl*0);
                    u = apply_ebc (u);
                    enl=fenode_select (fens,struct ('box',[0 100*R L/2 L/2 -100*R 100*R],'inflate',0.01*t));
                    u = set_ebc(u, enl, enl*0+1, enl*0+2, enl*0);
                    u = apply_ebc (u);
                    enl=fenode_select (fens,struct ('box',[0 0 0 L/2 -100*R 100*R],'inflate',0.01*t));
                    u = set_ebc(u, enl, enl*0+1, enl*0+1, enl*0);
                    u = apply_ebc (u);

                    %% Number the equations
                    u   = numbereqns (u);
                    disp (['%' eltyd(eix).label ': number of equations =' num2str(get(u,'neqns'))])

                    %% Assemble the stiffness matrix
                    K = start (sparse_chol_sysmat, get(u, 'neqns'));
                    %                 K = start (sparse_sysmat, get(u, 'neqns'));
                    ems=stiffness(feb, geom, u);
                    K = assemble (K, ems);
                    %                 figure;spy(get(K,'mat'));

                    %% Assemble the load vector
                    fi= force_intensity(struct ('magn',load));
                    lfeb = feblock_defor_ss(struct ('mater',mater, 'gcells',gcells,...
                        'integration_rule',eltyd(eix).load_integration_rule));
                    F = start (sysvec, get(u, 'neqns'));
                    F = assemble (F, distrib_loads(lfeb, geom, u, fi, 3));

                    %% Solve K*u=F
                    b=get(F,'vec');%sum(b)
                    x=get(K,'mat')\b;
                    %     a=get(K,'mat');
                    %     x = bicg(get(K,'mat'),get(F,'vec'), 1e-6, 14000, diag(diag (get(K,'mat'))));
                    %     x=0*b;
                    %     for it = 1:50
                    %         res=b-a*x;
                    %         norm (res)
                    %         x= x+a\res;
                    %     end
                    %     [Lf,Uf]=lu(a);
                    %     x=Uf\(Lf\b);

                    %% Transfer the solution to the field u
                    u = scatter_sysvec(u, x);
                    uv=gather (u,free_edge_fenids,'values','noreshape');
                    %                 uz=sum(uv(:, 3))/length(free_end_fenids);
                    uz=sum(uv(:,3))/length(free_edge_fenids) ;
                    disp (['%     Normalized displacement =' num2str(uz/uzex)])
                    uzs =[uzs uz] ;
                    neqns = [neqns,get(u,'neqns')];
                    ns=[ns,nl*ref] ;

                    %% Plot the displacement field u
                    if graphics
                        gv=graphic_viewer;
                        gv=reset (gv,[]);
                        % draw(feb,gv, struct ('x', geom,'u',0*u, 'facecolor','none'));
                        fld = field_from_integration_points(feb, geom, u, [], 'Cauchy', 2);
                        nvals=get(fld,'values');
                        dcm=data_colormap(struct ('range',[min(nvals),max(nvals)], 'colormap',jet));
                        colorfield=field(struct ('name', ['colorfield'], 'data',map_data(dcm, nvals)));
%                         draw(feb, gv, struct ('x',geom,'u', scale*u, 'colorfield',colorfield, 'shrink',1));
                        draw(feb, gv, struct ('x',geom,'u', scale*u, 'facecolor',[0.9,0.95,0.9], 'shrink',1));
                        draw(feb, gv, struct ('x',geom,'u', 0*u, 'facecolor','none','edgecolor','black', 'shrink',1));
                        colormap(jet);
                        cbh=colorbar;
                        set(cbh,...
                            'Position',[0.8 0.15 0.1 0.7],...
                            'YLim',[0,1],...
                            'YTick',[0,1],...
                            'YTickLabel',{[num2str(min(nvals))],[num2str(max(nvals))]});%{[num2str((min(nvals)))],[num2str((max(nvals)))]}
                        set(get(cbh,'XLabel'),'String','\sigma_{y}');
                        title ('Stress');
                        camset (gv, [ 151.9859 -136.8988   64.0600    8.9671  13.8115   -3.4482         0         0 1.0000    5.9708])
                    else
                        %                     plot(nels,uzs/uzex,eltyd(eix).styl,'linewidth',3); hold on
                        plot(neqns,abs((uzs-uzex)/uzex),eltyd(eix).styl,'linewidth',3); hold on
                        set(gca,'XScale','log')
                        set(gca,'YScale','log')
                        %                     set(gca,'XLim',[100,1e4])
                        %                     set(gca,'YLim',[1e-3,1.0])
                        grid on
                        figure (gcf); pause (1)
                    end
                end
            end
        end
    end
    disp(['Data{end+1}=[']);
    disp([ns;uzs]);
    disp(['];' 'Style{end+1}=''' eltyd(eix).styl ''';' 'Legends{end+1} =''' eltyd(eix).label ''';']);
end