function test_elliptcylinder_surface1
axis equal
Length=500;
MinorRadius=Length/4;
Major_to_minor = 2.3;
nperLength=5;
nperRadius=4;
[fens,gcells] = H8_cylinder_n(MinorRadius, Length, nperRadius, nperLength);
gcells=mesh_bdry(gcells);
[fens,gcells] = Q4_to_T3(fens,gcells,struct( 'other_dimension', 1 ));
xyz=get(fens, 'xyz' );
xyz(:,1)=Major_to_minor*xyz(:,1);
conn=get(gcells,'conn' );
h=patch('Faces', conn, ...
    'Vertices', xyz,'BackFaceLighting','lit',...
    'AmbientStrength',0.75,...
    'FaceColor', 'r','EdgeColor','k');

[fens,gcells] = H8_cylinder_n(MinorRadius, Length, nperRadius, nperLength);
gcells=mesh_bdry(gcells);
[fens,gcells] = Q4_to_T3(fens,gcells,struct( 'other_dimension', 1 ));
xyz=get(fens, 'xyz' );
xyz(:,1)=Major_to_minor*xyz(:,1);
xyz= xyz*rotmat([0,0,pi/2])';
xyz= xyz+ones(size( xyz,1 ),1)*[Length,-Length,1.2*Length];
conn=get(gcells,'conn' );
h=patch('Faces', conn, ...
    'Vertices', xyz,'BackFaceLighting','lit',...
    'AmbientStrength',0.75,...
    'FaceColor', 'b','EdgeColor','k');

end