% Project nodes onto a sphere of given radius.
%
% function fens= onto_sphere(fens,radius)
%
function fens= onto_sphere(fens,radius)
    xyz=get(fens,'xyz');
    for j= 1:size(xyz,1)
        xyz(j,:) =xyz(j,:)*radius/norm(xyz(j,:));
    end
    fens=set(fens,'xyz', xyz);
end
